Bug 1022148 - opengrok: remove versioned jars from %{_javadir}
opengrok: remove versioned jars from %{_javadir}
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: opengrok (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On: 992401
Blocks: 1022024
  Show dependency treegraph
 
Reported: 2013-10-22 11:50 EDT by Stanislav Ochotnicky
Modified: 2015-12-02 05:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 05:10:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2013-10-22 11:50:49 EDT
Package opengrok seems to contain versioned jar files in %{_javadir}
(/usr/share/java). Such versioned files cause problems for automatic
requires generation and violate packaging guidelines[1].

List of subpackages and contained versioned jars
opengrok:
/usr/share/java/opengrok-0.9.jar
/usr/share/java/opengrok-jrcs/org.apache.commons.jrcs.diff-0.9.jar
/usr/share/java/opengrok-jrcs/org.apache.commons.jrcs.rcs-0.9.jar


There are cases where this can be a false positive. Most likely if:
   * your package is compatibility version and contains only versioned
     jars
   * your package has version in the name of jars that are part of
     package name

Thank you,

[1] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 1 Jaroslav Reznik 2015-03-03 10:09:45 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 2 Mat Booth 2015-12-02 05:10:25 EST
This package was retired:

http://pkgs.fedoraproject.org/cgit/opengrok.git/tree/dead.package

Note You need to log in before you can comment on or make changes to this bug.